Withdrawals
Get on-chain withdrawals
GET
/account/withdrawals/on-chainPrivateGet multiple on-chain withdrawals
Permissions: account:withdrawals:read
from?stringStart date, unix epoch 0 by default
Format
date-timeDefault
"1970-01-01T00:00:00.000Z"to?stringEnd date, default to current time
Format
date-timeDefault
"2026-09-12T10:28:28.266Z"limit?integerNumber of entries to return, default to 1000
Range
1 <= value <= 1000Default
1000cursor?stringCursor for pagination
Format
date-timestatus?stringFilter by status
Value in
"pending""rejected""processing""processed""canceled"OK
application/json- response
data*array<>nextCursor*|Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.
import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({ key: 'your-key', secret: 'your-secret', passphrase: 'your-passphrase',})const result = await client.account.getOnChainWithdrawals({ from: '1970-01-01T00:00:00.000Z', to: '2026-09-12T10:28:26.634Z', limit: 500, status: 'pending'}){ "data": [ { "id": "f9cf683b-e028-4886-adbd-8632138adeea", "amount": 21000000, "address": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwmdhg5", "status": "processing", "txId": "Cca7507897abc89628f450e8b1e0c6fca4ec3f7b34cccf55f3f531c659ff4d79", "fee": 1337, "createdAt": "2024-02-08T08:37:47.490Z" } ], "nextCursor": "2024-01-15T10:30:00.000Z"}